Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQFocusEvent Class Reference

The TQFocusEvent class contains event parameters for widget focus events. More...

`#include <ntqevent.h>`

Inherits TQEvent.

List of all member functions.

## Public Members

- TQFocusEvent ( Type type )
- bool gotFocus () const
- bool lostFocus () const
- enum Reason { Mouse, Tab, Backtab, ActiveWindow, Popup, Shortcut, Other }

## Static Public Members

- Reason reason ()
- void setReason ( Reason reason )
- void resetReason ()

## Detailed Description

The TQFocusEvent class contains event parameters for widget focus events.

Focus events are sent to widgets when the keyboard input focus changes. Focus events occur due to mouse actions, keypresses (e.g. Tab or Backtab), the window system, popup menus, keyboard shortcuts or other application specific reasons. The reason for a particular focus event is returned by reason() in the appropriate event handler.

The event handlers TQWidget::focusInEvent() and TQWidget::focusOutEvent() receive focus events.

Use setReason() to set the reason for all focus events, and resetReason() to set the reason for all focus events to the reason in force before the last setReason() call.

See also TQWidget::setFocus(), TQWidget::focusPolicy, and Event Classes.

## Member Type Documentation

### TQFocusEvent::Reason

This enum specifies why the focus changed.

- `TQFocusEvent::Mouse` - because of a mouse action.
- `TQFocusEvent::Tab` - because of a Tab press.
- `TQFocusEvent::Backtab` - because of a Backtab press (possibly including Shift/Control, e.g. Shift+Tab).
- `TQFocusEvent::ActiveWindow` - because the window system made this window (in)active.
- `TQFocusEvent::Popup` - because the application opened/closed a popup that grabbed/released focus.
- `TQFocusEvent::Shortcut` - because of a keyboard shortcut.
- `TQFocusEvent::Other` - any other reason, usually application-specific.

See the keyboard focus overview for more about focus.

## Member Function Documentation

### TQFocusEvent::TQFocusEvent ( Type type )

Constructs a focus event object.

The type parameter must be either TQEvent::FocusIn or TQEvent::FocusOut.

### bool TQFocusEvent::gotFocus () const

Returns TRUE if the widget received the text input focus; otherwise returns FALSE.

### bool TQFocusEvent::lostFocus () const

Returns TRUE if the widget lost the text input focus; otherwise returns FALSE.

### Reason TQFocusEvent::reason ()`[static]`

Returns the reason for this focus event.

See also setReason().

### void TQFocusEvent::resetReason ()`[static]`

Resets the reason for all future focus events to the value before the last setReason() call.

See also reason() and setReason().

### void TQFocusEvent::setReason ( Reason reason )`[static]`

Sets the reason for all future focus events to reason.

See also reason() and resetReason().

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.